# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

# We need Test::More ≥ 0.96, so use a bundled one if we don't have it
%global old_test_more %(perl -MTest::More -e 'print (($Test::More::VERSION < 0.96) ? 1 : 0);' 2>/dev/null || echo 0)

# Test::Warnings requires Test::More ≥ 0.94
%if 0%{?fedora} < 9 && 0%{?rhel} < 6
%global no_test_warnings 1
%else
%global no_test_warnings 0
%endif

# Never run author tests
%global author_tests 0

# Need to tweak provides filter differently if we have rpm 4.9 onwards
%global rpm49 %(rpm --version | perl -p -e 's/^.* (\\d+)\\.(\\d+).*/sprintf("%d.%03d",$1,$2) ge 4.009 ? 1 : 0/e' 2>/dev/null || echo 0)

# Note: optional dependency Sub::Util is packaged with Scalar-List-Utils ≥ 1.40 (August 2014, F-21 onwards)

Name:		perl-DateTime
Epoch:		2
Version:	1.42
Release:	2.0.cf.%{__distinit}%{__distvers}
Summary:	Date and time objects
License:	Artistic 2.0
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/DateTime/
Source0:	http://search.cpan.org/CPAN/authors/id/D/DR/DROLSKY/DateTime-%{version}.tar.gz
Source1:	T-M-0.96.tar.gz
Source10:	perl-module-version-filter
Patch0:		DateTime-1.42-no-Test::Warnings.patch
Patch1:		DateTime-1.40-no-Test::Code::TidyAll.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
#
# Note:	cannot run the test suite when bootstrapping because the module
#	requires DateTime::TimeZone, and that needs DateTime
#
# Module Build (perl-devel split from main perl package at F-7)
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	gcc
BuildRequires:	make
BuildRequires:	perl
%if 0%{?fedora} > 6 || 0%{?rhel} > 5
BuildRequires:	perl-devel
%endif
%if 0%{?fedora} > 20 || 0%{?rhel} > 7
BuildRequires:	perl-generators
%endif
BuildRequires:	perl(ExtUtils::MakeMaker)
# Module Runtime
BuildRequires:	perl(base)
BuildRequires:	perl(Carp)
BuildRequires:	perl(DateTime::Locale) >= 1.06
%if 0%{!?perl_bootstrap:1}
BuildRequires:	perl(DateTime::TimeZone) >= 2.02
%endif
BuildRequires:	perl(Dist::CheckConflicts) >= 0.02
BuildRequires:	perl(integer)
BuildRequires:	perl(namespace::autoclean) >= 0.19
BuildRequires:	perl(overload)
BuildRequires:	perl(Params::ValidationCompiler) >= 0.13
BuildRequires:	perl(parent)
BuildRequires:	perl(POSIX)
BuildRequires:	perl(Scalar::Util)
BuildRequires:	perl(Specio) >= 0.18
BuildRequires:	perl(Specio::Declare)
BuildRequires:	perl(Specio::Exporter)
BuildRequires:	perl(Specio::Library::Builtins)
BuildRequires:	perl(Specio::Library::Numeric)
BuildRequires:	perl(Specio::Library::String)
BuildRequires:	perl(strict)
BuildRequires:	perl(Try::Tiny)
BuildRequires:	perl(warnings)
BuildRequires:	perl(warnings::register)
BuildRequires:	perl(XSLoader)
# Optional Runtime
%if 0%{?fedora} > 20 || 0%{?rhel} > 7
BuildRequires:	perl(Sub::Util) >= 1.40
Requires:	perl(Sub::Util) >= 1.40
%endif
# Test Suite
%if 0%{!?perl_bootstrap:1}
BuildRequires:	perl(CPAN::Meta::Check) >= 0.011
BuildRequires:	perl(CPAN::Meta::Requirements)
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(Test::Fatal)
BuildRequires:	perl(Test::More) >= 0.34
BuildRequires:	perl(utf8)
# Optional Tests
BuildRequires:	perl(CPAN::Meta) >= 2.120900
BuildRequires:	perl(DateTime::Format::Strptime)
BuildRequires:	perl(Storable)
BuildRequires:	perl(Test::Warn)
# Test::Warnings requires Test::More ≥ 0.94
%if ! %{no_test_warnings}
BuildRequires:	perl(Test::Warnings) >= 0.005
%endif
# Author Tests
%if %{author_tests}
BuildRequires:	perl(Code::TidyAll::Plugin::Test::Vars)
BuildRequires:	perl(Cwd)
BuildRequires:	perl(Pod::Wordlist)
BuildRequires:	perl(Test::CleanNamespaces) >= 0.15
BuildRequires:	perl(Test::Code::TidyAll) >= 0.24
BuildRequires:	perl(Test::DependentModules)
BuildRequires:	perl(Test::EOL)
BuildRequires:	perl(Test::Mojibake)
BuildRequires:	perl(Test::NoTabs)
BuildRequires:	perl(Test::Portability::Files)
BuildRequires:	perl(Test::Spelling) >= 0.12, aspell-en
BuildRequires:	perl(Test::Version)
%endif
# Release Tests
BuildRequires:	perl(Pod::Coverage::TrustPod)
BuildRequires:	perl(Test::CPAN::Changes)
BuildRequires:	perl(Test::CPAN::Meta::JSON) >= 0.16
BuildRequires:	perl(Test::Pod) >= 1.41
BuildRequires:	perl(Test::Pod::Coverage) >= 1.08
%endif
# Runtime
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
# Old perl generators didn't detect use of Dist::CheckConflicts
%if 0%{?fedora} < 21 && 0%{?rhel} < 8
Requires:	perl(Dist::CheckConflicts) >= 0.02
%endif
Requires:	perl(XSLoader)
Provides:	perl(DateTimePP) = 0
Provides:	perl(DateTimePPExtra) = 0

# Don't "provide" private Perl libs or unversioned perl(DateTime) (rpm 4.9 onwards)
%global __provides_exclude ^(perl\\(DateTime\\)$|DateTime\\.so)

%description
DateTime is a class for the representation of date/time combinations.  It
represents the Gregorian calendar, extended backwards in time before its
creation (in 1582). This is sometimes known as the "proleptic Gregorian
calendar". In this calendar, the first day of the calendar (the epoch), is the
first day of year 1, which corresponds to the date which was (incorrectly)
believed to be the birth of Jesus Christ.

%prep
%setup -q -n DateTime-%{version}

# Support building without Test::Warnings if necessary
%patch0

# Support building without Test::Code::TidyAll if necessary
%patch1

# We need Test::More ≥ 0.96, so use a bundled one if we don't have it
%if %{old_test_more}
tar xfz %{SOURCE1}
find inc/Test -type f >> MANIFEST
%endif

# Auto provides can't grok version numbers from DateTime, at least prior to Fedora 7
%if ! %{rpm49}
%global __filter_from_prov | PERL5LIB=%{_builddir}/DateTime-%{version}/blib/lib perl -n -s %{SOURCE10}"
%global provfilt /bin/sh -c "%{__perl_provides} %{__filter_from_prov}"
%global __perl_provides %{provfilt}
%endif

%build
# Use our local Test::More if necessary
[ -d inc/Test/ ] && export PERL5LIB=$(pwd)/inc

perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
find %{buildroot} -type f -name '*.bs' -empty -delete
%{_fixperms} -c %{buildroot}

%check
# Use our local Test::More if necessary
[ -d inc/Test/ ] && export PERL5LIB=$(pwd)/inc

# DateTime::TimeZone is a hard requirement of DateTime, but DateTime::TimeZone itself requires DateTime
%if ! 0%{?perl_bootstrap:1}
make test
# Author tests
%if %{author_tests}
LC_ALL=en_US make test TEST_FILES="$(echo $(find xt/author/ -name '*.t'))"
%endif
# Release tests
LC_ALL=en_US make test TEST_FILES="$(echo $(find xt/release/ -name '*.t'))"
%endif

%clean
rm -rf %{buildroot}

%files
%if 0%{?_licensedir:1}
%license LICENSE
%else
%doc LICENSE
%endif
%doc Changes CONTRIBUTING.md CREDITS README.md TODO
%{perl_vendorarch}/auto/DateTime/
%{perl_vendorarch}/DateTime/
%{perl_vendorarch}/DateTime.pm
%{_mandir}/man3/DateTime.3*
%{_mandir}/man3/DateTime::Duration.3*
%{_mandir}/man3/DateTime::Infinite.3*
%{_mandir}/man3/DateTime::LeapSecond.3*
%{_mandir}/man3/DateTime::Types.3*

%changelog
* Mon Jan  9 2017 Paul Howarth <paul@city-fan.org> - 2:1.42-2.0.cf
- Test::Warnings now available all the way back to Fedora 9

* Mon Dec 26 2016 Paul Howarth <paul@city-fan.org> - 2:1.42-1.0.cf
- Update to 1.42
  - The DateTime::Duration->add and ->subtract methods now accept
    DateTime::Duration objects; this used to work by accident but is now done
    intentionally, with docs and tests (GH#50)
- Update patches as needed

* Thu Nov 17 2016 Paul Howarth <paul@city-fan.org> - 2:1.41-1.0.cf
- Update to 1.41
  - The DateTime->add and ->subtract methods now accept DateTime::Duration
    objects; this used to work by accident but is now done intentionally, with
    docs and tests (GH#45)

* Sun Nov 13 2016 Paul Howarth <paul@city-fan.org> - 2:1.40-1.0.cf
- Update to 1.40
  - Switched from RT to the GitHub issue tracker
- Update patches as needed

* Sun Sep 18 2016 Paul Howarth <paul@city-fan.org> - 2:1.39-1.0.cf
- Update to 1.39
  - Replaced Params::Validate with Params::ValidationCompiler and Specio
    - In my benchmarks this makes constructing a new DateTime object about 14%%
      faster
    - However, it slows down module load time by about 100 milliseconds (1/10
      of a second) on my desktop system with a primed cache (so really
      measuring compile time, not disk load time)
  - When you pass a locale to $dt->set you will now get a warning suggesting
    you should use $dt->set_locale instead (CPAN RT#115420)
  - Bump minimum required Perl to 5.8.4 from 5.8.1

* Sun Aug  7 2016 Paul Howarth <paul@city-fan.org> - 2:1.36-1.0.cf
- Update to 1.36
  - Require namespace::autoclean 0.19

* Sat Aug  6 2016 Paul Howarth <paul@city-fan.org> - 2:1.35-1.0.cf
- Update to 1.35
  - Use namespace::autoclean in all packages that import anything; without
    cleaning the namespace, DateTime ends up with "methods" like try and catch
    (from Try::Tiny), which can lead to very confusing bugs (CPAN RT#115983)

* Mon Aug  1 2016 Paul Howarth <paul@city-fan.org> - 2:1.34-2.0.cf
- Fix FTBFS when perl is not in the minimal buildroot

* Wed Jul  6 2016 Paul Howarth <paul@city-fan.org> - 2:1.34-1.0.cf
- Update to 1.34
  - Added the leap second coming on December 31, 2016

* Wed Jun 29 2016 Paul Howarth <paul@city-fan.org> - 2:1.33-1.0.cf
- Update to 1.33
  - When you pass a locale to $dt->set you will now get a warning suggesting
    you should use $dt->set_locale instead (CPAN RT#115420)
  - Added support for $dt->truncate( to => 'quarter' ) (GH#17)
  - Fixed the $dt->set docs to say that you cannot pass a locale (even though
    you can but you'll get a warning) and added more docs for $dt->set_locale
  - Require DateTime::Locale 1.05
  - Require DateTime::TimeZone 2.00
- Update patches as needed
- Don't try to run the Code::TidyAll test as it now needs a plugin we don't
  have (Code::TidyAll::Plugin::Test::Vars)

* Sun May 22 2016 Paul Howarth <paul@city-fan.org> - 2:1.28-1.0.cf
- Update to 1.28
  - Fixed handling of some floating point epochs; since DateTime treated the
    epoch like a string instead of a number, certain epochs with a non-integer
    value ended up treated like integers (Perl is weird) (GH#15, fixes GH#6)

* Sat May 14 2016 Paul Howarth <paul@city-fan.org> - 2:1.27-1.0.cf
- Update to 1.27
  - Added an environment variable PERL_DATETIME_DEFAULT_TZ to globally set the
    default time zone (GH#14); using this is very dangerous - be careful!
- BR: perl-generators where possible
- Update patches as needed
- Explicitly run the release tests

* Tue Mar 22 2016 Paul Howarth <paul@city-fan.org> - 2:1.26-1.0.cf
- Update to 1.26
  - Switched from Module::Build to ExtUtils::MakeMaker (GH#13)

* Mon Mar  7 2016 Paul Howarth <paul@city-fan.org> - 2:1.25-1.0.cf
- Update to 1.25
  - DateTime->from_object would die if given a DateTime::Infinite object; now
    it returns another DateTime::Infinite object (CPAN RT#112712)
- Simplify find command using -empty and -delete

* Tue Mar  1 2016 Paul Howarth <paul@city-fan.org> - 2:1.24-1.0.cf
- Update to 1.24
  - The last release partially broke $dt->time; if you passed a value to use
    as unit separator, it was ignored (CPAN RT#112585)

* Mon Feb 29 2016 Paul Howarth <paul@city-fan.org> - 2:1.23-1.0.cf
- Update to 1.23
  - Fixed several issues with the handling of non-integer values passed to
    from_epoch() (GH#11)
    - This method was simply broken for negative values, which would end up
      being incremented by a full second, so for example -0.5 became 0.5
    - The method did not accept all valid float values; specifically, it did
      not accept values in scientific notation
    - Finally, this method now rounds all non-integer values to the nearest
      millisecond, which matches the precision we can expect from Perl itself
      (53 bits) in most cases
  - Make all DateTime::Infinite objects return the system's representation of
    positive or negative infinity for any method that returns a number or
    string representation (year(), month(), ymd(), iso8601(), etc.); previously
    some of these methods could return "Nan", "-Inf--Inf--Inf", and other
    confusing outputs (CPAN RT#110341)

* Thu Oct  1 2015 Paul Howarth <paul@city-fan.org> - 2:1.21-1.0.cf
- Update to 1.21
  - Make all tests pass with both the current DateTime::Locale and the upcoming
    new version (currently still in trial releases)
- Classify buildreqs by usage
- Explicitly BR: perl-devel, needed for EXTERN.h
- Don't bother trying to patch out need for Test::More ≥ 0.96 and bundle a
  suitably recent version instead
- Don't bother patching the spell checker test as we don't run author tests

* Thu Jul  2 2015 Paul Howarth <paul@city-fan.org> - 2:1.20-1.0.cf
- Update to 1.20
  - If you compared a DateTime object to an undef value, you might have
    received a warning pointing to code inside DateTime.pm, instead of in your
    own code (GH#7)
  - The 30future-tz.t could fail if run at certain very specific times; this
    should now be much less likely, unless a time zone being tested implements
    a DST change at noon (which would even more insane than DST already is by a
    huge factor) (CPAN RT#102925)
  - The 1.18 release added the June 30, 2015 leap second to the XS code, but I
    forgot to update the corresponding pure Perl implementation in
    DateTime::LeapSecond
- Update patches as needed
- Add new patch to support building without Test::Code::TidyAll

* Tue Jan  6 2015 Paul Howarth <paul@city-fan.org> - 2:1.18-1.0.cf
- Update to 1.18
  - There will be a new leap second on June 30, 2015

* Mon Jan  5 2015 Paul Howarth <paul@city-fan.org> - 2:1.17-1.0.cf
- Update to 1.17
  - Fix for adding very large numbers of days; previously, trying to add more
    than around 2^28 days could cause errors if the result ended up in a leap
    year (CPAN RT#97046)
- Update patches as needed

* Sun Jan  4 2015 Paul Howarth <paul@city-fan.org> - 2:1.14-1.0.cf
- Update to 1.14
  - Various small doc chances to address CPAN RT#96958, CPAN RT#98733 and
    CPAN RT#101262
- Update patches as needed

* Fri Sep 12 2014 Paul Howarth <paul@city-fan.org> - 2:1.12-2.0.cf
- Perl 5.20 rebuild

* Wed Sep  3 2014 Paul Howarth <paul@city-fan.org> - 2:1.12-1.0.cf
- Update to 1.12:
  - The latest historical changes in DateTime::TimeZone 1.74 caused some tests
    to fail (CPAN RT#98483)
  - This release of DateTime.pm now requires the DateTime::TimeZone 1.74
- Use %%license where possible
- BR: perl(Test::CPAN::Changes) unconditionally
- Update patches as needed

* Mon May  5 2014 Paul Howarth <paul@city-fan.org> - 2:1.10-1.0.cf
- Update to 1.10:
  - Some tests added in 1.09 would fail on a Perl without a 64-bit gmtime()
    (CPAN RT#95345)
- Update patches as needed

* Sun May  4 2014 Paul Howarth <paul@city-fan.org> 2:1.09-1.0.cf
- Update to 1.09:
  - A call to ->truncate( to => 'week' ) could fail but leave the object
    changed (CPAN RT#93347)
  - The value of ->jd() is now calculated based on ->mjd() instead of the other
    way around; this reduces floating point errors a bit when calculating MJD,
    and should have a negligible impact on the accuracy of JD (CPAN RT#93347)
  - Attempting to construct a DateTime object with a year ≥ 5000 and a time
    zone other than floating or DST now issues a warning; this warning may go
    away once DateTime::TimeZone is made much faster (CPAN RT#92655)
- Add patch to support building without Test::Warnings if necessary
- Drop patch for building with Test::More < 0.96, no longer needed
- Update other patches as needed
- Drop %%defattr, redundant since rpm 4.4

* Wed Mar 12 2014 Paul Howarth <paul@city-fan.org> - 2:1.08-1.0.cf
- Update to 1.08:
  - DateTime now calls DateTime->_core_time() instead of calling Perl's time()
    built-in directly; this makes it much easier to override the value of time()
    that DateTime sees, which may make it easier to write tests for code that
    uses DateTime
- Update patches as needed

* Fri Feb  7 2014 Paul Howarth <paul@city-fan.org> - 2:1.07-1.0.cf
- Update to 1.07:
  - Added a hack to get this module working on Android (CPAN RT#92671)

* Thu Jan 16 2014 Paul Howarth <paul@city-fan.org> - 2:1.06-2.0.cf
- Don't BR: test modules when bootstrapping as we won't be running the tests

* Wed Jan  1 2014 Paul Howarth <paul@city-fan.org> - 2:1.06-1.0.cf
- Update to 1.06:
  - DateTime's attempt to generate infinity by calculating 9**9**9 actually got
    a number on some platforms, like powerpcspe (CPAN RT#91696)
- Update patches as needed

* Tue Dec 24 2013 Paul Howarth <paul@city-fan.org> 2:1.05-1.0.cf
- Update to 1.05:
  - Added a new CLDR ZZZZZ specifier, which is like ZZZ but inserts a colon
  - Added a new option for the truncate() method to truncate to the
    "local_week"; this truncates to the locale's notion of the first day of the
    week, rather than always truncating to Monday
- Update patches as needed

* Sun Dec  8 2013 Paul Howarth <paul@city-fan.org> 2:1.04-1.0.cf
- Update to 1.04:
  - Calling set_locale() or set_formatter() on an object with an ambiguous local
    time could change the underlying UTC time for that object (CPAN RT#90583)
- Update patch for building with Test::More < 0.88
- Add patch for building with Test::More < 0.96
- Update spelling patch

* Tue Jul 23 2013 Paul Howarth <paul@city-fan.org> 2:1.03-2.0.cf
- Perl 5.18 rebuild

* Thu Apr 18 2013 Paul Howarth <paul@city-fan.org> 2:1.03-1.0.cf
- Update to 1.03:
  - The set_time_zone() method was not returning the object when called with a
    name that matched the current zone (CPAN RT#84699)
- Update patch for building with Test::More < 0.88

* Tue Apr 16 2013 Paul Howarth <paul@city-fan.org> 2:1.02-1.0.cf
- Update to 1.02:
  - When a constructor method like new() or today() was called on an object,
    you'd get an error message like 'Can't locate object method
    "_normalize_nanoseconds" via package "2013-04-15T00:00:00"'; this has been
    fixed to provide a sane error message
  - When set_time_zone() is called with a name that matches the current time
    zone, DateTime now short circuits and avoids a lot of work
- Update patch for building with Test::More < 0.88

* Mon Apr  1 2013 Paul Howarth <paul@city-fan.org> 2:1.01-1.0.cf
- Update to 1.01:
  - Fixed test failures on older Perls
- BR: perl(Try::Tiny)
- Drop test failure patch for CPAN RT#83940
- Update patch for building with Test::More < 0.88

* Mon Apr  1 2013 Paul Howarth <paul@city-fan.org> 2:1.00-1.0.cf
- Update to 1.00:
  - Bumped the version to 1.00, mostly because my prior use of both X.YY and
    X.YYYY versions causes trouble for some packaging systems (plus after 10
    years it's probably ready to be called 1.00) (CPAN RT#82800)
  - The %%j specifier for strftime was not zero-padding 1 and 2 digit numbers
    (CPAN RT#84310)
  - The truncate method was sloppy about validating its "to" parameter, so you
    could pass things like "years" or "month whatever anything goes"; the method
    would accept the parameter but then not actually truncate the object
    (CPAN RT#84229)
  - Previously, if a call to $dt->set_time_zone() failed it would still change
    the time zone of the object, leaving it in a broken state (CPAN RT#83940)
  - DateTime::Infinite objects should no longer die when methods that require a
    locale are called; instead, these methods return undef for names and
    Inf/-Inf for numbers, which affects methods such as day_name() as well as
    CLDR and strftime formats; when a locale-specific format is used (like the
    "full" datetime format) it uses the en_US format (CPAN RT#67550)
- Update patch for building with Test::More < 0.88
- Add patch to remove test that seems to fail with perl < 5.14 (CPAN RT#83940)

* Sat Nov 17 2012 Paul Howarth <paul@city-fan.org> 2:0.78-1.0.cf
- Update to 0.78:
  - Reverted the change to round nanoseconds up or down in various situtations.
    Now we always round down. This avoids the case where rounding up would
    require us to then increment the second value (which could then require us
    to increment the minute, which could then require us to increment the hour,
    which could then ...). In other words, we don't want to round
    2011-12-31T23:59:59.999999 up to 2012-01-01T00:00:00, because that would be
    insane. This applies to the return values for ->microsecond, ->millisecond,
    and the %%N specifier for strftime (CPAN RT#79845)
- Drop BR: perl(Math::Round)
- Update stopwords patch

* Wed Sep 26 2012 Paul Howarth <paul@city-fan.org> 2:0.77-1.0.cf
- Update to 0.77:
  - POD changes that should make the documentation look better, especially on
    the web

* Mon Jul 16 2012 Paul Howarth <paul@city-fan.org> 2:0.76-2.0.cf
- Perl 5.16 post-bootstrap rebuild

* Mon Jul  2 2012 Paul Howarth <paul@city-fan.org> 2:0.76-1.0.cf
- Update to 0.76:
  - The DateTime->subtract method ignored the end_of_month parameter
    (CPAN RT#77844)
- Update patch for building with Test::More < 0.88

* Tue Jun 12 2012 Paul Howarth <paul@city-fan.org> 2:0.75-1.0.cf
- Update to 0.75:
  - The epoch for years 1-999 was broken because Time::Local is "clever"
    (CPAN RT#77719)
  - Shut up compilation warning from 5.17.x (CPAN RT#77490)
- Time::Local is no longer used, so drop buildreq for it
- Update patch for building with Test::More < 0.88

* Fri Apr  6 2012 Paul Howarth <paul@city-fan.org> 2:0.74-2.0.cf
- BR: perl(DateTime::Locale) even when bootstrapping
- Don't attempt to run the test suite when bootstrapping

* Fri Mar 23 2012 Paul Howarth <paul@city-fan.org> 2:0.74-1.0.cf
- Update to 0.74:
  - Small packaging fix for metacpan's benefit

* Sat Mar 17 2012 Paul Howarth <paul@city-fan.org> 2:0.73-1.0.cf
- Update to 0.73:
  - Change tests to work with Zefram's entirely rebuilt DateTime::TimeZone
    distribution, which will replace the current implementation (CPAN RT#75757)
- BR: perl(Carp)
- Lower perl(Params::Validate) version requirement to 0.76
- Add buildreqs for Perl core modules that might be dual-lived
- Update patch for building with Test::More < 0.88
- Don't need to remove empty directories from buildroot
- Drop support for distributions prior to FC-3:
  - Don't need to define %%{perl_vendorarch}
  - Drop patch to use Test::Exception if we don't have Test::Fatal
  - Use %%{_fixperms} macro instead of our own chmod incantation
  - Don't need to run test suite with LC_ALL=C

* Thu Jan  5 2012 Paul Howarth <paul@city-fan.org> 2:0.72-1.0.cf
- Update to 0.72:
  - Remove Test::DependentModules from the dependency list

* Thu Jan  5 2012 Paul Howarth <paul@city-fan.org> 2:0.71-1.0.cf
- Update to 0.71:
  - There will be a new leap second on June 30, 2012
- BR: perl(Test::CPAN::Changes) as the associated test now passes
- Update patch for old Test::More versions
- BR: perl(Test::Fatal) rather than perl(Test::Exception) unless we have
  perl 5.8.0, in which case patch the test suite to use Test::Exception rather
  than Test::Fatal like it used to do

* Fri Aug 19 2011 Paul Howarth <paul@city-fan.org> 2:0.70-1.0.cf
- Unbundle DateTime::TimeZone and DateTime::Locale (#730658)
- Bump epoch and revert to upstream versioning
- Update description
- Update patch for old Test::More versions so that
  DateTime::Format::Strptime is detected properly on old perls

* Mon Jul  4 2011 Paul Howarth <paul@city-fan.org> 1:0.7000-3.0.cf
- Rebuild for perl 5.14.1 in Rawhide
- Fix dist tag for CentOS 6 and Scientific Linux

* Mon Jul  4 2011 Paul Howarth <paul@city-fan.org> 1:0.7000-2.0.cf
- Update DateTime-TimeZone to 1.65:
  - Based on version 2011h of the Olson database
  - Includes changes for Russia
  - Include UTC in the list of all time zone names (CPAN RT#67070)
- Update DateTime-TimeZone patches
- Tweak requires/provides filters for better rpm 4.9 compatibility
- BR: perl(DateTime::Format::Strptime) if we're not bootstrapping
- Add support for perl_bootstrap macro

* Tue May 10 2011 Paul Howarth <paul@city-fan.org> 1:0.7000-1.0.cf
- Update DateTime to 0.70:
  - Really fix %%N, finally; this was breaking the DateTime::Event::Recurrence
    test suite
- Update patches for Perl 5.8.0 and old Test::More versions

* Wed May  4 2011 Paul Howarth <paul@city-fan.org> 1:0.6900-1.0.cf
- Update DateTime to 0.69:
  - When a DateTime object had nanoseconds == 0, the %%N strftime specifier
    always returned "0" regardless of the precision requested (CPAN RT#67928)
- Update patches for Perl 5.8.0 and old Test::More versions

* Tue Apr 26 2011 Paul Howarth <paul@city-fan.org> 1:0.6800-1.0.cf
- Update DateTime to 0.68:
  - The tests for %%N in the last release relied on the vagaries of floating
    point math on a 64-bit system; now, the from_epoch() method just uses
    string operations to separate the epoch into an integer value and a
    mantissa, which avoids floating point insanity (CPAN RT#67736)
- Update DateTime::TimeZone to 1.34:
  - Based on version 2011g of the Olson database
  - Includes changes for Egypt
  - DateTime::TimeZone::Floating and DateTime::TimeZone::UTC are now
    singletons, since their internal state never changes
- Test::Spelling now available for all releases
- Update spelling patch for DateTime to include words needed for RHL-9/RHEL-3

* Mon Apr 25 2011 Paul Howarth <paul@city-fan.org> 1:0.6700-1.0.cf
- Update DateTime to 0.67:
  - The %%N strftime specifier simply truncated nanoseconds, rather than rounding
    them (CPAN RT#66744)
  - The %%U strftime specifier was off by one in years where January 1st was a
    Sunday (CPAN RT#67631)
  - The %%W strftime specifier was off by one in years where January 1st was a
    Sunday or Monday (CPAN RT#67631)
  - Some small optimizations from Christian Hansen; the biggest impact is for
    calculating week_of_month, week_number and week_year
- BR: perl(Math::Round)
- BuildConflict with perl(Test::CPAN::Changes) as the cpan-changes test fails
- Drop references to Kwalitee tests as upstream has dropped them
- Add patch to drop Perl version requirement to 5.8.0 if necessary
- Run tests against the installed modules in the buildroot rather than the
  uninstalled modules in the build area
- Update patch for building with old Test::More versions

* Mon Apr 11 2011 Paul Howarth <paul@city-fan.org> 1:0.6600-5.0.cf
- Update DateTime::TimeZone to 1.33:
  - Based on version 2011f of the Olson database
  - Changes for the Falkland Islands

* Thu Apr  7 2011 Paul Howarth <paul@city-fan.org> 1:0.6600-4.0.cf
- Rebuild

* Mon Apr  4 2011 Paul Howarth <paul@city-fan.org> 1:0.6600-3.1.cf
- Update DateTime::TimeZone to 1.32:
  - Based on version 2011e of the Olson database
  - Changes for Morocco and Chile

* Mon Mar 28 2011 Paul Howarth <paul@city-fan.org> 1:0.6600-3.0.cf
- Nobody else likes macros for commands
- BuildConflicts with perl(Test::Kwalitee) as the kwalitee test fails

* Mon Mar 21 2011 Paul Howarth <paul@city-fan.org> 1:0.6600-2.5.cf
- Update DateTime::TimeZone to 1.31:
  - Updates for Win32 time zones

* Mon Mar 14 2011 Paul Howarth <paul@city-fan.org> 1:0.6600-2.4.cf
- Update DateTime::TimeZone to 1.30:
  - Based on version 2011d of the Olson database
  - Changes for Samoa, Turkey, and Cuba
- Revert fix for DateTime::Locale::is manpage, which only takes effect on
  releases that didn't generate bogus escapes anyway

* Tue Mar  8 2011 Paul Howarth <paul@city-fan.org> 1:0.6600-2.3.cf
- Update DateTime::TimeZone to 1.29:
  - Based on version 2011b of the Olson database
  - New zones America/Sitka and America/Metlakatla
  - Changes for Alaska and Chile
- Generate DateTime::Locale::is manpage in UTF8 encoding to fix broken
  default transliteration to ASCII, provided we have a recent enough Pod::Man

* Tue Feb  8 2011 Paul Howarth <paul@city-fan.org> 1:0.6600-2.2.cf
- Update DateTime::TimeZone to 1.28:
  - Based on version 2011b of the Olson database
  - Includes a new zone, America/North_Dakota/Beulah
- DateTime::TimeZone switched from Build.PL to Makefile.PL
- BR: perl(ExtUtils::MakeMaker)
- Add patch to support building with perl(ExtUtils::MakeMaker) < 6.31

* Tue Jan 25 2011 Paul Howarth <paul@city-fan.org> 1:0.6600-2.1.cf
- Update DateTime::TimeZone to 1.27:
  - Based on version 2011a of the Olson database
  - Includes historical updates for Australia and Hawaii
- Update DateTime::TimeZone patch for spelling check
- Add patch for spelling check for DateTime itself (coverage in Rawhide
  dictionary seems to have gone down)

* Wed Dec 22 2010 Paul Howarth <paul@city-fan.org> 1:0.6600-2.0.cf
- Update URL for FAQ in %%description

* Sat Nov 27 2010 Paul Howarth <paul@city-fan.org> 1:0.6600-1.0.cf
- Update DateTime to 0.66 (documentation changes only)

* Mon Nov 22 2010 Paul Howarth <paul@city-fan.org> 1:0.6500-1.1.cf
- Update DateTime::TimeZone to 1.26:
  - All modules in the distro now have the same $VERSION
  - Based on version 2010n of the Olson database (updates for Fiji)
  - Attempting to determine the local time zone while inside a sort subroutine
    could cause an error "Can't return outside a subroutine", caused by stack
    corruption that happens when an eval "use $module" fails (CPAN RT#63106)
- BR: perl(parent) and perl(Class::Load)
- Update DateTime::TimeZone patch for old Test::more versions
- Add patch for better dictionary coverage in DateTime::TimeZone spelling check

* Tue Oct 26 2010 Paul Howarth <paul@city-fan.org> 1:0.6500-1.0.cf
- Update DateTime to 0.65:
  - All the constructors besides new() ended up calling new(), which meant that
    these constructors went through the parameter validation code twice;
    avoiding this should make everything that constructs a new object (besides
    new() itself) a little faster
  - The t/39no-so.t test failed for some people (CPAN RT#62061)
  - Added a section on the DateTime Project ecosystem to the docs
    (CPAN RT#60930)
  - Fixed wiki links in the docs now that the wiki has moved to a new wiki
    platform
  - Restored some of the dzil-ification; the repo now has a very minimal
    Build.PL file that is just enough to build the XS code and run the tests,
    which fixes the total lack of prereqs in the META.* files (CPAN RT#62427)
- Update DateTime::TimeZone to 1.23:
  - Based on version 2010n of the Olson database
  - Includes updates for Fiji
- Note that Kwalitee test would fail if enabled
- Drop POD patch, no longer needed (DateTime::Helpers manpage no longer
  generated as a result)
- Update DateTime patch for old Test::More versions

* Fri Oct  1 2010 Paul Howarth <paul@city-fan.org> 1:0.6300-1.2.cf
- Rebuild for gcc bug (#634757)

* Tue Sep 28 2010 Paul Howarth <paul@city-fan.org> 1:0.6300-1.1.cf
- Update DateTime::TimeZone to 1.22
  - Based on version 2010m of the Olson database
  - Includes historical updates for Hong Kong

* Mon Sep 27 2010 Paul Howarth <paul@city-fan.org> 1:0.6300-1.0.cf
- Update DateTime to 0.63 (actually bump the version in the module files)

* Fri Sep 24 2010 Paul Howarth <paul@city-fan.org> 1:0.6200-1.0.cf
- Update DateTime to 0.62 (don't try to test with
  DateTime::Format::Strptime unless we have a relatively recent version)
- Update patches for POD, UTF-8, perl 5.8.8 and old Test::More versions

* Fri Aug 20 2010 Paul Howarth <paul@city-fan.org> 1:0.6100-1.2.cf
- Update DateTime::TimeZone to 1.21
  - Based on version 2010l of the Olson database
  - Updates for Egypt and Palestine

* Tue Jul 27 2010 Paul Howarth <paul@city-fan.org> 1:0.6100-1.1.cf
- Update DateTime::TimeZone to 1.20
  - Based on version 2010k of the Olson database
  - Updates for Egypt, Finland (historical only), and Mexico
  - Rename Pacific/Truk to Pacific/Chuuk and Pacific/Ponape to Pacific/Pohnpei

* Mon Jul 19 2010 Paul Howarth <paul@city-fan.org> 1:0.6100-1.0.cf
- Update DateTime to 0.61
  - Fix the --pp flag for the Build.PL (CPAN RT#59421)
- Drop upstreamed spelling test patches

* Mon Jul  5 2010 Paul Howarth <paul@city-fan.org> 1:0.6000-1.0.cf
- Update DateTime to 0.60 (by default, Dist::Zilla generates a Build.PL that
  requires Module::Build 0.3601+, but this distro really doesn't need any
  particular version)

* Wed Jun 30 2010 Paul Howarth <paul@city-fan.org> 1:0.5900-1.0.cf
- Update DateTime to 0.59 (make sure that POD only shows up in the right files;
  in 0.56 through 0.58, some POD in the wrong place confused the
  search.cpan.org POD display code, and the main module's documentation wasn't
  viewable)
- Update patch for old Test::More versions due to renaming of test files and
  addition of pure-perl release tests

* Tue Jun 29 2010 Paul Howarth <paul@city-fan.org> 1:0.5800-1.0.cf
- Update DateTime to 0.58
  - Make DateTime::LeapSecond have the same $VERSION as every other .pm file
  - The set_formatter() method did not return the DateTime object, and did not
  actually validate the value provided for the formatter (CPAN RT#58506)
  - Improved docs on floating time zone (CPAN RT#56389)
  - Mention of end-of-month algorithms to docs on DateTime math (CPAN RT#58533)
  - License is now Artistic 2.0
- Main package now Artistic 2.0
- Drop UTF8 patch for DateTime, no longer needed
- Buildreq Test::NoTabs, Test::EOL, Test::Spelling and aspell-en
- Enable RELEASE_TESTING
- Add patch for additional words for the spell checker to ignore
- Update patch for old Test::More versions
- Use our own perl provides script as the default one prior to Fedora 7
  isn't clever enough to parse the code

* Fri Jun 25 2010 Paul Howarth <paul@city-fan.org> 1:0.5500-2.1.cf
- Rebuild for perl 5.12.1 in Rawhide

* Tue Jun  8 2010 Paul Howarth <paul@city-fan.org> 1:0.5500-2.0.cf
- RHEL-6 onwards have noarch subpackages, so use them

* Tue May 11 2010 Paul Howarth <paul@city-fan.org> 1:0.5500-1.7.cf
- Update DateTime::TimeZone to 1.19
  - This release is based on version 2010j of the Olson database
  - Create a new zone for Mexico (America/Bahia_Banderas)
  - Dateline time zone on Win32 now always maps to a fixed -12:00 zone
- Add patch for Test::More < 0.88 in DateTime::TimeZone
- Fix dist tag for RHEL-6 Beta

* Tue Apr 20 2010 Paul Howarth <paul@city-fan.org> 1:0.5500-1.6.cf
- Update DateTime::TimeZone to 1.18
  - This release is based on version 2010i of the Olson database
  - Changes for Morocco, Taiwan (historical only), and Argentina

* Mon Apr 12 2010 Paul Howarth <paul@city-fan.org> 1:0.5500-1.5.cf
- Update DateTime::TimeZone to 1.17
  - Updated Win32 to Olson name translation mapping (CPAN RT#56445)

* Tue Apr  6 2010 Paul Howarth <paul@city-fan.org> 1:0.5500-1.4.cf
- Update DateTime::TimeZone to 1.16
  - Based on version 2010h (changes for Tunisia and Pakistan)

* Tue Mar 30 2010 Paul Howarth <paul@city-fan.org> 1:0.5500-1.3.cf
- Update DateTime::TimeZone to 1.15
  - Based on version 2010g (changes for Bangladesh, Palestine, and Russia)

* Tue Mar 23 2010 Paul Howarth <paul@city-fan.org> 1:0.5500-1.2.cf
- Update DateTime::TimeZone to 1.14
  - Based on version 2010f (changes for Antartica, Syria, and Samoa)

* Sat Mar 20 2010 Paul Howarth <paul@city-fan.org> 1:0.5500-1.1.cf
- Update DateTime::Locale to 0.45
  - Drop dependency on Class::ISA (CPAN RT#53940)
  - All methods deprecated in the last release now warn when called
  - Add methods to return per-locale strftime formats from the glibc data
- Drop perl(Class::ISA) buildreq

* Tue Mar 16 2010 Paul Howarth <paul@city-fan.org> 1:0.5500-1.0.cf
- Update DateTime to 0.55 (get all tests passing on 5.6.2)
- Drop DateTime patch for perl 5.8.0, issue fixed upstream

* Sun Mar 14 2010 Paul Howarth <paul@city-fan.org> 1:0.5400-1.0.cf
- Update DateTime to 0.54
  - String overloading now extends to string comparison (CPAN RT#55453)
  - Allow passing end_of_month setting to $duration->inverse() (CPAN RT#53985)
- Update UTF8 patch
- New DateTime patch for old Test::More versions, with patch for old
  Scalar::Util merged into it
- Add patch to fix DateTime on perl 5.8.0 if necessary
- Split DT::Locale and DT::TimeZone into their own subpackages but enforce
  strict dependencies to make sure that all packages are pulled in together as
  if the bundling was still there; this makes it easier for users to find the
  DT::Locale and DT::TimeZone packages without breaking things
- Add a repotag to avoid confusion with Fedora build

* Mon Mar  8 2010 Paul Howarth <paul@city-fan.org> 1:0.5300-5
- Update DateTime::TimeZone to 1.13
  - Based on version 2010e (changes for Bangladesh, Fiji, Samoa, and Chile)

* Tue Mar  2 2010 Paul Howarth <paul@city-fan.org> 1:0.5300-4
- Update DateTime::TimeZone to 1.11
  - Based on version 2010b of the Olson database (changes for Paraguay)
  - Added a list of zones by country
  - Added a list of zone links (aliases) to DateTime::TimeZone::Catalog docs
- Remove redundant call of %%{?filter_setup}

* Tue Jan 26 2010 Paul Howarth <paul@city-fan.org> 1:0.5300-3
- Update DateTime::TimeZone to 1.10 (changes for Mexico)
- Fix up patch applications to work with newer versions of modules

* Fri Jan 22 2010 Paul Howarth <paul@city-fan.org> 1:0.5300-2
- Import from Fedora
- Update DateTime::TimeZone to 1.09
- Use patch to recode to utf-8, not iconv
- Filter unwanted requires/provides in a way that works on old distributions
- Skip no-so test if we don't have Scalar::Util >= 1.10
- Skip DateTime::TimeZone error test in 5.8.8

* Fri Jan 15 2010 Stepan Kasal <skasal@redhat.com> 1:0.5300-1
- New upstream version
- Use Build.PL as Makefile.PL no longer exists
- Use iconv to recode to utf-8, not a patch
- Update BuildRequires
- Drop Provides: perl(DateTime::TimeZoneCatalog), it is no longer there
- Use filtering macros

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> 1:0.4501-4
- Rebuild against perl 5.10.1

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> 1:0.4501-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> 1:0.4501-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Dec 09 2008 Steven Pritchard <steve@kspei.com> 1:0.4501-1
- Update to DateTime 0.4501

* Mon Nov 10 2008 Steven Pritchard <steve@kspei.com> 1:0.4401-1
- Update to DateTime 0.4401
- Update to DateTime::Locale 0.42
- Update to DateTime::TimeZone 0.8301

* Mon Sep 08 2008 Steven Pritchard <steve@kspei.com> 1:0.4304-2
- Update to DateTime::TimeZone 0.7904

* Tue Jul 15 2008 Steven Pritchard <steve@kspei.com> 1:0.4304-1
- Update to DateTime 0.4304
- Update to DateTime::TimeZone 0.78
- Update to DateTime::Locale 0.41

* Tue Jul 08 2008 Steven Pritchard <steve@kspei.com> 1:0.4302-2
- Update to DateTime::TimeZone 0.7701

* Sat May 31 2008 Steven Pritchard <steve@kspei.com> 1:0.4302-1
- Update to DateTime 0.4302
- Update to DateTime::TimeZone 0.77
- Update to DateTime::Locale 0.4001
- BR List::MoreUtils
- Define IS_MAINTAINER so we run the pod tests

* Thu May 15 2008 Steven Pritchard <steve@kspei.com> 1:0.42-1
- Update to DateTime 0.42
- Update to DateTime::TimeZone 0.75
- Update FAQ URL in description

* Wed Feb 27 2008 Tom "spot" Callaway <tcallawa@redhat.com> 1:0.41-5
- Rebuild for perl 5.10 (again)

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> 1:0.41-4
- Autorebuild for GCC 4.3

* Thu Jan 24 2008 Tom "spot" Callaway <tcallawa@redhat.com> 1:0.41-3
- Rebuild for new perl

* Tue Dec 11 2007 Steven Pritchard <steve@kspei.com> 1:0.41-2
- Update License tag
- Update to DateTime::TimeZone 0.70

* Mon Sep 17 2007 Steven Pritchard <steve@kspei.com> 1:0.41-1
- Update to DateTime 0.41
- Update to DateTime::Locale 0.35
- Update to DateTime::TimeZone 0.67

* Wed Aug 29 2007 Fedora Release Engineering <rel-eng at fedoraproject dot org> 1:0.39-2
- Rebuild for selinux ppc32 issue

* Sun Jul 22 2007 Steven Pritchard <steve@kspei.com> 1:0.39-1
- Update to DateTime 0.39
- Update to DateTime::TimeZone 0.6603

* Thu Jul 05 2007 Steven Pritchard <steve@kspei.com> 1:0.38-2
- BR Test::Output

* Mon Jul 02 2007 Steven Pritchard <steve@kspei.com> 1:0.38-1
- Update to DateTime 0.38
- Update to DateTime::TimeZone 0.6602
- BR Test::Pod::Coverage

* Mon Apr 02 2007 Steven Pritchard <steve@kspei.com> 1:0.37-3
- Drop BR DateTime::Format::* to avoid circular build deps

* Mon Apr 02 2007 Steven Pritchard <steve@kspei.com> 1:0.37-2
- Filter Win32::TieRegistry dependency
- Do the provides filter like we do in cpanspec
- Drop some macro usage

* Sat Mar 31 2007 Steven Pritchard <steve@kspei.com> 1:0.37-1
- Update to DateTime 0.37
- Update to DateTime::TimeZone 0.63

* Tue Mar 13 2007 Steven Pritchard <steve@kspei.com> 1:0.36-2
- Update to DateTime::Locale 0.34
- Update to DateTime::TimeZone 0.62

* Mon Jan 22 2007 Steven Pritchard <steve@kspei.com> 1:0.36-1
- Update to Date::Time 0.36
- Update to DateTime::Locale 0.33
- Update to DateTime::TimeZone 0.59

* Fri Nov 03 2006 Steven Pritchard <steve@kspei.com> 1:0.35-1
- Update to DateTime 0.35
- Update to DateTime::Locale 0.3101
- LICENSE.icu seems to have been renamed LICENSE.cldr
- Update to DateTime::TimeZone 0.54
- Use fixperms macro instead of our own chmod incantation
- Convert DateTime::LeapSecond to UTF-8 to avoid a rpmlint warning

* Tue Aug 29 2006 Steven Pritchard <steve@kspei.com> 1:0.34-3
- Update to DateTime::TimeZone 0.48

* Mon Aug 28 2006 Steven Pritchard <steve@kspei.com> 1:0.34-2
- Update to DateTime::TimeZone 0.47

* Mon Aug 14 2006 Steven Pritchard <steve@kspei.com> 1:0.34-1
- Update to DateTime 0.34

* Fri Jul 28 2006 Steven Pritchard <steve@kspei.com> 1:0.32-1
- Update to DateTime 0.32
- Improve Summary, description, and source URLs
- Fix find option order

* Thu Jul 13 2006 Steven Pritchard <steve@kspei.com> 1:0.31-2
- BR DateTime::Format::ICal and DateTime::Format::Strptime for better
  test coverage

* Wed May 24 2006 Steven Pritchard <steve@kspei.com> 1:0.31-1
- Update DateTime to 0.31
- Update DateTime::TimeZone to 0.46

* Mon Feb 27 2006 Steven Pritchard <steve@kspei.com> 1:0.30-3
- Bump Epoch (argh, 0.2901 > 0.30 to rpm)
- Update DateTime::TimeZone to 0.42

* Sat Feb 18 2006 Steven Pritchard <steve@kspei.com> 0.30-2
- Update DateTime::TimeZone to 0.41

* Tue Jan 10 2006 Steven Pritchard <steve@kspei.com> 0.30-1
- Update DateTime to 0.30
- Update DateTime::TimeZone to 0.40

* Fri Sep 16 2005 Paul Howarth <paul@city-fan.org> 0.2901-2
- Unpack each tarball only once
- Use Module::Build's build script where available
- Help each module find the others when needed
- Clean up files list
- Include additional documentation from DT::Locale & DT::TimeZone
- Add BR: perl(File::Find::Rule) & perl(Test::Pod) to improve test coverage
- Remove unversioned provides of perl(DateTime) & perl(DateTime::TimeZone)

* Wed Aug 31 2005 Steven Pritchard <steve@kspei.com> 0.2901-1
- Specfile autogenerated
